| AI Engine Intrinsics User Guide (AIE) v2025.2

Loading...
Searching...
No Matches
Functions
Z buffer conjugation
Intrinsics » Vector Operations » MAC intrinsics » Multiplication » Advanced » Integer » Vector MAC with pre-adding and upshifting » 16 bit x 32 bit » 16 bit Complex x 32 bit Complex

## Overview

16 bit complex by 32 bit complex using Z buffer conjugation

## Functions
v8cacc48 | mac4_sym_uct_nc (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply-accumulate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer using small X input buffer.
v8cacc48 | mac4_sym_uct_nc (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply-accumulate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v8cacc48 | mac4_sym_uct_nc (v8cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply-accumulate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer .
v8cacc48 | msc4_sym_uct_nc (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply-subtract intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer using small X input buffer.
v8cacc48 | msc4_sym_uct_nc (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply-subtract intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v8cacc48 | msc4_sym_uct_nc (v8cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply-subtract intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer .
v8cacc48 | mul4_sym_uct_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer using small X input buffer.
v8cacc48 | mul4_sym_uct_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v8cacc48 | mul4_sym_uct_nc (v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer .
v8cacc48 | negmul4_sym_uct_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply-negate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer using small X input buffer.
v8cacc48 | negmul4_sym_uct_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply-negate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v8cacc48 | negmul4_sym_uct_nc (v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, int uct_shift, v4cint32 zbuff, int zstart, unsigned int zoffsets)
| Complex symetric multiply-negate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer .

## Function Documentation

## ◆ mac4_sym_uct_nc() [1/3]

v8cacc48 mac4_sym_uct_nc | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply-accumulate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 += cnj(z00)*(x00 + y00)
acc1 += cnj(z10)*(x10 + y10)
acc2 += cnj(z20)*(x20 + y20)
acc3 += cnj(z30)*(x30 + y30)
acc4 = y00 << uct_shift
acc5 = y10 << uct_shift
acc6 = y20 << uct_shift
acc7 = y30 << uct_shift

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_sym_uct_nc() [2/3]

v8cacc48 mac4_sym_uct_nc | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply-accumulate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 += cnj(z00)*(x00 + y00)
acc1 += cnj(z10)*(x10 + y10)
acc2 += cnj(z20)*(x20 + y20)
acc3 += cnj(z30)*(x30 + y30)
acc4 = y00 << uct_shift
acc5 = y10 << uct_shift
acc6 = y20 << uct_shift
acc7 = y30 << uct_shift

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_sym_uct_nc() [3/3]

v8cacc48 mac4_sym_uct_nc | ( | v8cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply-accumulate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer .

acc0 += cnj(z00)*(x00 + y00)
acc1 += cnj(z10)*(x10 + y10)
acc2 += cnj(z20)*(x20 + y20)
acc3 += cnj(z30)*(x30 + y30)
acc4 = y00 << uct_shift
acc5 = y10 << uct_shift
acc6 = y20 << uct_shift
acc7 = y30 << uct_shift

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_sym_uct_nc() [1/3]

v8cacc48 msc4_sym_uct_nc | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply-subtract intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 -= cnj(z00)*(x00 + y00)
acc1 -= cnj(z10)*(x10 + y10)
acc2 -= cnj(z20)*(x20 + y20)
acc3 -= cnj(z30)*(x30 + y30)
acc4 = y00 << uct_shift
acc5 = y10 << uct_shift
acc6 = y20 << uct_shift
acc7 = y30 << uct_shift

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_sym_uct_nc() [2/3]

v8cacc48 msc4_sym_uct_nc | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply-subtract intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 -= cnj(z00)*(x00 + y00)
acc1 -= cnj(z10)*(x10 + y10)
acc2 -= cnj(z20)*(x20 + y20)
acc3 -= cnj(z30)*(x30 + y30)
acc4 = y00 << uct_shift
acc5 = y10 << uct_shift
acc6 = y20 << uct_shift
acc7 = y30 << uct_shift

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_sym_uct_nc() [3/3]

v8cacc48 msc4_sym_uct_nc | ( | v8cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply-subtract intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer .

acc0 -= cnj(z00)*(x00 + y00)
acc1 -= cnj(z10)*(x10 + y10)
acc2 -= cnj(z20)*(x20 + y20)
acc3 -= cnj(z30)*(x30 + y30)
acc4 = y00 << uct_shift
acc5 = y10 << uct_shift
acc6 = y20 << uct_shift
acc7 = y30 << uct_shift

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_sym_uct_nc() [1/3]

v8cacc48 mul4_sym_uct_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 = cnj(z00)*(x00 + y00)
acc1 = cnj(z10)*(x10 + y10)
acc2 = cnj(z20)*(x20 + y20)
acc3 = cnj(z30)*(x30 + y30)
acc4 = y00 << uct_shift
acc5 = y10 << uct_shift
acc6 = y20 << uct_shift
acc7 = y30 << uct_shift

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_sym_uct_nc() [2/3]

v8cacc48 mul4_sym_uct_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 = cnj(z00)*(x00 + y00)
acc1 = cnj(z10)*(x10 + y10)
acc2 = cnj(z20)*(x20 + y20)
acc3 = cnj(z30)*(x30 + y30)
acc4 = y00 << uct_shift
acc5 = y10 << uct_shift
acc6 = y20 << uct_shift
acc7 = y30 << uct_shift

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_sym_uct_nc() [3/3]

v8cacc48 mul4_sym_uct_nc | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer .

acc0 = cnj(z00)*(x00 + y00)
acc1 = cnj(z10)*(x10 + y10)
acc2 = cnj(z20)*(x20 + y20)
acc3 = cnj(z30)*(x30 + y30)
acc4 = y00 << uct_shift
acc5 = y10 << uct_shift
acc6 = y20 << uct_shift
acc7 = y30 << uct_shift

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_sym_uct_nc() [1/3]

v8cacc48 negmul4_sym_uct_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply-negate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 = -( cnj(z00)*(x00 + y00) )
acc1 = -( cnj(z10)*(x10 + y10) )
acc2 = -( cnj(z20)*(x20 + y20) )
acc3 = -( cnj(z30)*(x30 + y30) )
acc4 = y00 << uct_shift )
acc5 = y10 << uct_shift )
acc6 = y20 << uct_shift )
acc7 = y30 << uct_shift )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_sym_uct_nc() [2/3]

v8cacc48 negmul4_sym_uct_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply-negate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 = -( cnj(z00)*(x00 + y00) )
acc1 = -( cnj(z10)*(x10 + y10) )
acc2 = -( cnj(z20)*(x20 + y20) )
acc3 = -( cnj(z30)*(x30 + y30) )
acc4 = y00 << uct_shift )
acc5 = y10 << uct_shift )
acc6 = y20 << uct_shift )
acc7 = y30 << uct_shift )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_sym_uct_nc() [3/3]

v8cacc48 negmul4_sym_uct_nc | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | int | uct_shift,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets
| ) |  |

Complex symetric multiply-negate intrinsic function with unit center-tap optimization with z buffer conjugation with pre-add from x input buffer .

acc0 = -( cnj(z00)*(x00 + y00) )
acc1 = -( cnj(z10)*(x10 + y10) )
acc2 = -( cnj(z20)*(x20 + y20) )
acc3 = -( cnj(z30)*(x30 + y30) )
acc4 = y00 << uct_shift )
acc5 = y10 << uct_shift )
acc6 = y20 << uct_shift )
acc7 = y30 << uct_shift )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  uct_shift | Upshift value to the four upshifted lanes
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.